msgpack::adaptor::as< msgpack::type::tuple< Args... >, typename std::enable_if< msgpack::any_of< msgpack::has_as, Args... >::value >::type > Struct Template Reference

`#include <cpp11_msgpack_tuple.hpp>`

## Public Member Functions

msgpack::type::tuple< Args... > | operator() (msgpack::object const &o) const

## Member Function Documentation

## operator()()

template<typename... Args>

msgpack::type::tuple<Args...> msgpack::adaptor::as< msgpack::type::tuple< Args... >, typename std::enable_if< msgpack::any_of< msgpack::has_as, Args... >::value >::type >::operator() | ( | msgpack::object const & | o | ) | const

inline

References msgpack::type::ARRAY, msgpack::MsgpackTupleAs< Args >::as(), and msgpack::object::type.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/detail/cpp11_msgpack_tuple.hpp